Subject: [nemo] Terminology Update

From: Thierry Ernst <[email-masked]>
Date: Mon, 28 Oct 2002 13:17:12 +0900 (JST)

Hi all,

I've updated the terminology draft:
http://www.ietf.org/internet-drafts/draft-ernst-nemo-terminology-00.txt

Please don't refer to draft-ernst-monet-terminology ... anymore.

If I receive useful comments by Friday, I can update it to a version
-01 before the meeting.

Cheers,
Thierry

---

From: "JinHyeock Choi" <[email-masked]>
Date: Tue, 29 Oct 2002 18:45:33 +0900

Hi Thierry
 
Here are some comments on your Terminology draft
 
1) I wonder how to define 'Mobile Network Prefix' for 'Nested Mobility' case. 
    If Mobile Network is composed by only one IP-subnet, we can easily define 
    Mobile Network Prefix as you defined in [Page 7]
 
Mobile Network Prefix
 
      A bit string that consists of some number of initial bits of an IP
      address which identifies the entire mobile network within the
      Internet topology. All MNNs necessarily have an address named
      after this prefix.
 
    But in Nested Mobility case, parent-NEMO and sub-NEMO may have different 
    Mobile Network Prefix. In that case, how would you define the Mobile Network 
    Prefix for the aggregated Mobile Network? Can we make a definition such that 
    all MNNs have an address named after that Mobile Network Prefix?  
 
2) In [Page 7], Local Mobile Node (LMN) is defined like below 
 
Local Mobile Node (LMN)
 
      A mobile node (MN) or a mobile router (MR) that belongs to the
      mobile network (i.e. its home link is within the mobile network).
 
    But according to some people LMN is defined alternatively
 
     A mobile node that resides in mobile network and never leave that 
     mobile network. 
 
   Those two definitions are not same. For example, according to the first
   definition, 'LMN's HA can't be MR's Home Agent' as Alex explained.  
   I think we should clarify it lest there should be confusion.

3) In [Page 11], multihomed is defined like below  
 
So, a mobile network is multihomed when either:
      - a MR has multiple egress interfaces on the same foreign link
      - a MR has multiple egress interfaces on distinct foreign link
      - there are more than one MR in the mobile network
 
   In the third line, how about change from 'more than one MR' to 
  'more than one TLMR'? In Nested Mobility case, some Mobile Network 
   may have multiple MRs without being multihomed. 

I wish these comments are useful. Best Regards
 
JinHyeock

---

From: Thierry Ernst <[email-masked]>
Date: Tue, 29 Oct 2002 19:33:11 +0900 (JST)

Dear JinHyeock,

Interesting comments. Thank you. 

I think the nested case is tricky ... A MR of a mobile network becomes
a TLMR when a sub-NEMO attaches to it. Do you think it's necessary to
reflect that in the terminology ?  If you have an idea to explain it
easily, your definition is welcome !

>     all MNNs have an address named after that Mobile Network Prefix?  

For this one, I have the answer.

Each mobile network in the nested mobile network has its own Mobile
Network Prefix and keeps it. The MR of a sub-NEMO gets a COA with the
prefix of its parent-NEMO. So, from the point of view of the TLMR,
there is only one prefix. No need to care about prefixes down the
hierarchy. At least this is what happens in Basic Support.

In case of Extended Support, we may have to define new terms if this
is not true anymore. 

>       mobile network (i.e. its home link is within the mobile network).

(A)
  
>      A mobile node that resides in mobile network and never leave that 

(B)
  
>    I think we should clarify it lest there should be confusion.

(C)

(A) does not prevent (B). (B) is more restrictive. The problem you
mention in (C) may require to refine the definition of LMN.

As stated in the draft and on the mailing list, this is NOT a final
definition. The definition may even not be necessary once we agree on
the requirement. 

>    may have multiple MRs without being multihomed. 

From the perspective of nested mobile networks, what a MR is is
tricky.

1. At first we have 2 mobile networks. Mobile networks is multihomed via
2 MRs.

    lx ______ Internet______________ ly
        |          |            |
       MR.1        ---MR.2.1  MR.2.2
        |               |      |
    l1 ------         ----------  l2

2. What happens when MR.2.1. attaches to l1 ?
   
   - MR.2.1 becomes a subservient of MR.1
   - MR.1 is the TLMR for the aggregated network
   - mobile_network_1 is the parent-NEMO (and also the root-NEMO)
   - mobile_network_2 is the sub-NEMO
   - mobile_network_2 is still multihomed to l1 and ly

2. What happens when MR.1 attaches to l2 ?
   - MR.1 becomes a subservient of MR.2.1 and MR.2.2.
   - MR.2.1 and MR.2.2 are the TLMRs 
   - mobile_network_2 is the parent-NEMO (and also the root-NEMO)
   - mobile_network_1 is the sub-NEMO
   - the nested mobile network is multihomed 

So, may be I should include those examples.
 
I don't see an issue in the definition. Do you think the definition
should be clarified ?

Thanks for reading the draft and discussing it.
Thierry

---

From: "James Kempf" <[email-masked]>
Date: Tue, 29 Oct 2002 09:28:34 -0800

Thierry,

As you may be aware, the Seamoby WG currently has a WG draft on its charter that
consolidates mobility related terms in the IETF. The draft is meant to be a way
for draft authors of mobility-related drafts to avoid the extensive terminology
section at the beginning, and provide a reference to normalize references to
mobility-related terms.

Would you be interested in merging your terminology draft in with the Seamoby
draft? I think it would be extremely useful to have the mobile network terms
together with the rest of the mobility-related terms.

            jak

---

From: "JinHyeock Choi" <[email-masked]>
Date: Wed, 30 Oct 2002 18:05:55 +0900

Dear Thierry
 
> easily, your definition is welcome !

Yes, I agree. How about define the terms like 'parent-MR' or 'sub-MR'. 
Those definitions might be useful to describe nested cases.
 
> hierarchy. At least this is what happens in Basic Support.

So parent-NEMO and sub-NEMO may have entirely different 
Mobile Network Prefix. According to your definition, 'all MNNs necessarily 
have an address named after Mobile Prefix'. I guess that mean 
'all MNNs which are directly attached to MR's ingress interface'. 
 
Your define Mobile Network Prefix with respect to Mobile Network. 
Instead how about define Mobile Network Prefix with respect to Mobile Router 
like 'prefix assigned to ingress interface of Mobile Router'? 
 
> (A) does not prevent (B). (B) is more restrictive. 
 
(B) doesn't imply (A). Assume there is a mobile node such that it never 
leave a mobile network but its home link is outside that mobile network. 
That node satisfies (B) but doesn't satisfy (A). Can we preclude such cases?
And (A) doesn't imply (B) either.  

> I don't see an issue in the definition. Do you think the definition

Assuem a case which you described in Figure 5 of your draft. That Mobile Network 
is composed by one parent-NEMO and one sub-NEMO. And each NEMO has only 
one MR. That Mobile Network is not multi-homed but has two MRs.  

According to your draft, if there are more than one MR in the mobile network, 
it is multi-homed. I think what you mean is 'if there are more than one MR 
which is attached to fixed Internet.'. 

I may be too scrupulous but tried to interpret your definition literally and found 
some difficulties. 
 
Best Regards
 
JinHyeock

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 31 Oct 2002 20:03:15 +0900 (JST)

Hi,

From: "JinHyeock Choi" <[email-masked]>
> Those definitions might be useful to describe nested cases.

Good idea. Consistent with the current text.
  
> 'all MNNs which are directly attached to MR's ingress interface'. 

No, first because the mobile network may have more than one internal
link. And, second because the definition does not say the prefix
identifies the **nested mobile network** but the **mobile network**
where the MNNs are located in.  

I don't see a need to refine this definition as far as Basic Support
is concerned.

> like 'prefix assigned to ingress interface of Mobile Router'? 

As said above, the rationale was that a mobile network may contain
several links; these are the same tradeoffs that led me to the design
of the "Prefix Scope Binding Update" draft. (i.e. the need to insert
the prefix and its length in the PSBU).

> And (A) doesn't imply (B) either.  

Sorry, but if you look at the definition, if the home link is not in
the mobile network, it's a VMN, not a LMN :) So, what's the problem ? 

I kept the terminology abstract enough so that all scenarios could be
discussed; if we agree for some reasons in the requirement discussions
that a LMN should not leave the mobile network, the definition could
be refined later. 

But, instead of discussing if a scenario is permitted or not, I would
prefer you to check the requirements drafts and look if any of them
prevent the scenario you have depicted. 

> which is attached to fixed Internet.'. 

Here again, the definition didn't say ***nested mobile network*** but
***mobile network***.

So, according to your concern, I should refine the definition of
multihoming to include a case about nested mobile networks.

> I may be too scrupulous but tried to interpret your definition literally and found 

As long as it helps us to refine the terminology that's fine. But I
agree you may be a bit too scrupulous at this stage :)

Thierry